Reorder spaces within a collection
curl --request PUT \
--url https://api.mn.co/admin/v1/networks/{network_id}/collections/{id}/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"spaces": [
{
"space_id": 123,
"position": 1
}
]
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/collections/{id}/order"
payload = { "spaces": [
{
"space_id": 123,
"position": 1
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({spaces: [{space_id: 123, position: 1}]})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/collections/{id}/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Collections
Reorder spaces within a collection
PUT
/
admin
/
v1
/
networks
/
{network_id}
/
collections
/
{id}
/
order
Reorder spaces within a collection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the collection
The Network's unique integer ID, or subdomain Unique numeric network ID
Query Parameters
Page number for pagination
Items per page (max 100)
Body
application/json
Submit results as JSON
Request to reorder spaces within a collection
Array of space position assignments
Show child attributes
Show child attributes
Response
The updated list of spaces with their positions
⌘I